## cloud-init-22.4.2 22.4.2

=== debian/changelog ===
cloud-init-22.4.2 (22.4.2-2~deb11u1) bullseye; urgency=medium

  * Rename package to cloud-init-22.4.2 for bullseye-lts

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Apr 2024 13:14:06 -0700

cloud-init (22.4.2-1) unstable; urgency=medium

  [ Bastian Blank ]
  * Remove unused integration into rsyslog.
  * Remove unneeded config overrides.
  * Update main config from template

  [ Noah Meyerhans ]
  * d/watch: ignore ubuntu internal releases
  * New upstream version 22.4.2 (Closes: #1010555)
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 Dec 2022 12:35:18 -0800

cloud-init (22.2-3) unstable; urgency=medium

  * Depend on eject for Azure data source.
  * Support APT automated mirror selection.
  * Update Debian default mirrors.

 -- Bastian Blank <waldi@debian.org>  Mon, 05 Sep 2022 15:29:28 +0200

cloud-init (22.2-2) unstable; urgency=high

  * CVE-2022-2084: logged schema failures can include password hashes. Applied
    upstream patch: Remove_schema_errors_from_log.patch (Closes: #1014247).

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Jul 2022 19:03:53 +0200

cloud-init (22.2-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Removed prettytable and six from build-depends (Closes: #1009279).

  [ Noah Meyerhans ]
  * debian/watch: point to github as the canonical source repository
  * New upstream version 22.2
  * d/control: Add python3-responses and python3-pytest-mock build-deps
  * salsa-ci: allow reprotest to fail
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Tue, 31 May 2022 12:44:24 -0700

cloud-init (21.4-3) unstable; urgency=medium

  * Fix VMware tests for ipv6-only.

 -- Bastian Blank <waldi@debian.org>  Tue, 29 Mar 2022 13:36:09 +0200

cloud-init (21.4-2) unstable; urgency=medium

  * Remove ifupdown and net-tools depends.
  * Require isc-dhcp-client as dhclient is used internally.

 -- Bastian Blank <waldi@debian.org>  Mon, 28 Mar 2022 11:56:22 +0200

cloud-init (21.4-1) unstable; urgency=medium

  * New upstream version 21.4 (Closes: 910654)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Nov 2021 10:44:32 -0700

cloud-init (21.3-2) unstable; urgency=medium

  * Refreshed debian/patches/cloud-init-before-chronyd.patch.
  * Add patch: fix-sources-list-for-security-in-bullseye-and-above.patch
    (Closes: #969934).

 -- Thomas Goirand <zigo@debian.org>  Sun, 24 Oct 2021 23:28:46 +0200

cloud-init (21.3-1) unstable; urgency=medium

  * New upstream version 21.3
  * Add python3-netifaces to build-deps
  * Install upstream man pages

 -- Noah Meyerhans <noahm@debian.org>  Thu, 26 Aug 2021 12:33:57 -0700

cloud-init (21.2-1) unstable; urgency=medium

  * New upstream version 21.2 (Closes: #991629, #979974)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Aug 2021 09:16:27 -0700

cloud-init (20.4.1-2) unstable; urgency=high

  * Avoid logging generated passwords to world-readable log files.
    CVE-2021-3429. (Closes: #985540)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 19 Mar 2021 09:18:59 -0700

cloud-init (20.4.1-1) unstable; urgency=medium

  * d/watch: switch upstream to github
  * New upstream version 20.4.1

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 Jan 2021 10:27:39 -0800

cloud-init (20.4-1) unstable; urgency=medium

  * New upstream version 20.4
  * Clarifiy comments and spelling in default cloud.cfg (Closes: #971582)
  * d/copyright: Clean up formatting
  * Clean up lintian overrides
  * Suppress lintian warning about Z99-cloud-locale-test.sh

 -- Noah Meyerhans <noahm@debian.org>  Wed, 25 Nov 2020 19:29:14 -0800

cloud-init (20.2-3) unstable; urgency=medium

  * Ignore all of test_datasource/test_opennebula.py, as tests are failing
    under Python 3.9, and I don't think anyone cares about opennebula anymore.
    Anyone willing to fix is welcome to send a MR. (Closes: #973062)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Oct 2020 18:23:20 +0100

cloud-init (20.2-2) unstable; urgency=medium

  * Add missing Build-Dep on python3-pytest

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 May 2020 17:27:07 -0700

cloud-init (20.2-1) unstable; urgency=medium

  * New upstream version
  * Drop patches that have been merged upstream
  * Switch to pytest for running tests, per upstream change

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 May 2020 16:07:52 -0700

cloud-init (20.1-2) unstable; urgency=medium

  * Fix python 3.8 incompatibility (Closes: #954276)
  * Cherry-pick fa1abfec2705 (ec2: only redact token request headers in
    logs, avoid altering request) from upstream. (Closes: #954363)
  * Cherry-pick 1f860e5ac7eb (ec2: Do not fallback to IMDSv1 on EC2) from
    upstream.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 23 Mar 2020 09:02:27 -0700

cloud-init (20.1-1) unstable; urgency=medium

  * New upstream release
  * Remove patches applied upstream:
    - CVE-2020-8631.patch
    - CVE-2020-8632.patch
  * Refresh patches:
    - 0009-Drop-all-unused-extended-version-handling.patch
  * Reduce cloud-guest-utils from Depends to Recommends
  * Bump standards version to 4.5.0 (no changes needed)
  * Remove Charles Plessy <plessy@debian.org> from uploaders, as he is no
    longer active in the cloud team.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 13 Mar 2020 14:26:55 -0700

cloud-init (19.4-2) unstable; urgency=medium

  * Import upstream fix for CVE-2020-8632.  rand_user_password generates
    passwords of insufficient length.  (Closes: #951363)
  * Import upstream fix for CVE-2020-8631.  Cloud-init uses an insufficient
    source of randomness when generating passwords. (Closes: #951362)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 18 Feb 2020 14:17:28 -0800

cloud-init (19.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to note dual-dual license status (Closes: #866613)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 14 Feb 2020 16:37:08 -0800

cloud-init (19.3-2) unstable; urgency=medium

  * Build-depends on python3-pep8 instead of just pep8 (Closes: #949940).


